---
title: "Create a smart collection"
description: "Create a new smart collection in the store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/create-smart-collection'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/create-smart-collection.md'
---
# Create a smart collection

Create a new smart collection in the store.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /products/smart_collections.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_products`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `smart_collection`

  object

  Smart collection information.

  * `banner`

    object

    The cover image of the collection.

    * `alt`

      string

      The alternative textual description of the collection banner, usually a word or phrase with the characteristics or content of the image.<br/>
      Maximum length: 512

    * `id`

      string

      The unique ID of an existing image. Omit this field if you add new image via `src`. <br/>
      Maximum length: 64

    * `src`

      string

      The link to the image, represented as a URL.<br/>
      Maximum length: 255

  * `body_html`

    string

    The collection description. <br/>
    Maximum size: 64 KB

  * `disjunctive`

    boolean

    Used to define the logical relationship of product filtering criteria in the smart collection.
    
    - `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. 
    - `false`: A product must meet all of the filtering criteria to be included in the smart collection.
    
    Default value: `true`

  * `handle`

    string

    The semantically unique identifier for the collection,
    which is generated based on `title` by default.<br/>
    Maximum length: 255

  * `image`

    object

    The image of the collection.

    * `alt`

      string

      The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.<br/>
      Maximum length: 512

    * `id`

      string

      The unique ID of an existing image. Omit this field if you add new image via `src`. <br/>
      Maximum length: 64

    * `src`

      string

      The link to the collection image, represented as a URL.<br/>
      Maximum length: 255

  * `path`

    string

    The relative path of the collection page.<br/>
    Maximum length: 512

  * `published_scope`

    string

    The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `rules`

    array<object>

    Rules for filtering products in the smart collection.

    * `column`

      string

      The field used for filtering.
      
      - `title`: Product title
      - `sale_price`: Product variant selling price
      - `compared_at_price`: Product variant original price
      - `tag`: Product tag
      - `inventory`: Product inventory
      - `vendor`: Brand or manufacturer
      - `variant_weight`: Product variant weight
      - `variant_title`: Product variant title
      - `created_at`: Product creation time
      - `sales_last_3_days`: Product sales volume in the last 3 days
      - `sales_last_7_days`: Product sales volume in the last 7 days
      - `sales_last_15_days`: Product sales volume in the last 15 days
      - `sales_last_30_days`: Product sales volume in the last 30 days
      - `sales_last_60_days`: Product sales volume in the last 60 days
      - `sales`: Product sales volume in the last 90 days
      - `view`: Product page views
      - `add_to_cart`: Product add-to-cart quantity
      - `type`: Custom product type
      - `product_taxonomy_node_id`: Standard product type
      - `product_taxonomy_node_id_with_descendants`：Standard product type with subcategories
      - `product_metafield_definition`: Value of product metafield

    * `condition`

      string

      The value to be matched, such as `T shirt` for the tag or `10.00` for the price.
      
      When `relation` is `is_not_set` or `is_set`, the field is invalid.

    * `condition_object_id`

      long

      The ID of the metafield object.

    * `relation`

      string

      The relationship between the field and the value.
      
      - `equals`: Indicates equal to
      - `not_equals`: Indicates not equal to
      - `starts_with`: Indicates prefix matching
      - `ends_with`: Indicates suffix matching
      - `contains`: Indicates inclusion relationship
      - `not_contains`: Indicates non-inclusion relationship
      - `greater_than`: Indicates greater than
      - `less_than`: Indicates less than
      - `is_not_set`：Indicates all values are empty
      - `is_set`：Indicates values are not empty

  * `sort_order`

    string

    Indicates the sorting method of the default sort value for the product list on the collection page.
    
    - `alpha-asc`: Sort by product name from A to Z
    - `alpha-desc`: Sort by product name from Z to A
    - `updated-desc`: Sort by update time from newest to oldest
    - `updated-asc`: Sort by update time from oldest to newest
    - `manual`: Sort by custom order
    - `created-desc`: Sort by creation time from newest to oldest
    - `created-asc`: Sort by creation time from oldest to newest
    - `price-asc`: Sort by the lowest selling price of product variants in ascending order
    - `price-desc`: Sort by the lowest selling price of product variants in descending order
    - `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order
    - `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order
    - `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order
    - `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order
    - `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order
    - `best-selling`: Sort by sales volume in the last 90 days in descending order
    - `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order
    - `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order
    - `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order
    - `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order
    - `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order
    - `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order
    - `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order
    - `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order
    - `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order
    - `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order
    - `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order
    - `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order
    - `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order
    - `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order
    - `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order
    - `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order
    - `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order
    - `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order
    - `views-pv-last3days`: Sort by page views in the last 3 days in descending order
    - `views-pv-last7days`: Sort by page views in the last 7 days in descending order
    - `views-pv-last15days`: Sort by page views in the last 15 days in descending order
    - `views-pv-last30days`: Sort by page views in the last 30 days in descending order
    - `views-pv-last60days`: Sort by page views in the last 60 days in descending order
    - `view-desc`: Sort by page views in the last 90 days in descending order

  * `template_path`

    string

    The theme template of the collection.

  * `title`

    string

    The title of the collection.<br/>
    Maximum length: 255

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `smart_collection`

  object

  Smart collection information.

  * `banner`

    object

    The cover image of the collection.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `id`

      string

      The unique identifier for the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `body_html`

    string

    The collection description. 

  * `created_at`

    string

    The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `disjunctive`

    boolean

    Used to define the logical relationship of product filtering criteria in the smart collection.
    
    - `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. 
    - `false`: A product must meet all of the filtering criteria to be included in the smart collection.

  * `handle`

    string

    The semantically unique identifier for the collection, which is generated based on `title` by default.

  * `id`

    string

    The unique identifier for the collection.

  * `image`

    object

    The collection image.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `id`

      string

      The unique identifier for the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `published_at`

    string

    The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `published_scope`

    string

    The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `rules`

    array<object>

    Rules for filtering products in the smart collection.

    * `column`

      string

      The field used for filtering.
      
      - `title`: Product title
      - `sale_price`: Product variant selling price
      - `compared_at_price`: Product variant original price
      - `tag`: Product tag
      - `inventory`: Product inventory
      - `vendor`: Brand or manufacturer
      - `variant_weight`: Product variant weight
      - `variant_title`: Product variant title
      - `created_at`: Product creation time
      - `sales_last_3_days`: Product sales volume in the last 3 days
      - `sales_last_7_days`: Product sales volume in the last 7 days
      - `sales_last_15_days`: Product sales volume in the last 15 days
      - `sales_last_30_days`: Product sales volume in the last 30 days
      - `sales_last_60_days`: Product sales volume in the last 60 days
      - `sales`: Product sales volume in the last 90 days
      - `view`: Product page views
      - `add_to_cart`: Product add-to-cart quantity
      - `type`: Custom product type
      - `product_taxonomy_node_id`: Standard product type
      - `product_taxonomy_node_id_with_descendants`：Standard product type with subcategories
      - `product_metafield_definition`: Value of product metafield

    * `condition`

      string

      The value to be matched, such as `T shirt` for tags or `10.00` for price.
      
      When `relation` is `is_not_set` or `is_set`, the field is invalid.

    * `condition_object_id`

      long

      The ID of the metafield object.
      

    * `relation`

      string

      The relationship between the field and the value.
      
      - `equals`: Indicates equal to
      - `not_equals`: Indicates not equal to
      - `starts_with`: Indicates prefix matching
      - `ends_with`: Indicates suffix matching
      - `contains`: Indicates inclusion relationship
      - `not_contains`: Indicates non-inclusion relationship
      - `greater_than`: Indicates greater than
      - `less_than`: Indicates less than
      - `is_not_set`：Indicates all values are empty
      - `is_set`：Indicates values are not empty

  * `sort_order`

    string

    Indicates the sorting method of the default sort value for the product list on the collection page.
    
    - `alpha-asc`: Sort by product name from A to Z
    - `alpha-desc`: Sort by product name from Z to A
    - `updated-desc`: Sort by update time from newest to oldest
    - `updated-asc`: Sort by update time from oldest to newest
    - `manual`: Sort by custom order
    - `created-desc`: Sort by creation time from newest to oldest
    - `created-asc`: Sort by creation time from oldest to newest
    - `price-asc`: Sort by the lowest selling price of product variants in ascending order
    - `price-desc`: Sort by the lowest selling price of product variants in descending order
    - `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order
    - `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order
    - `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order
    - `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order
    - `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order
    - `best-selling`: Sort by sales volume in the last 90 days in descending order
    - `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order
    - `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order
    - `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order
    - `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order
    - `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order
    - `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order
    - `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order
    - `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order
    - `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order
    - `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order
    - `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order
    - `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order
    - `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order
    - `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order
    - `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order
    - `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order
    - `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order
    - `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order
    - `views-pv-last3days`: Sort by page views in the last 3 days in descending order
    - `views-pv-last7days`: Sort by page views in the last 7 days in descending order
    - `views-pv-last15days`: Sort by page views in the last 15 days in descending order
    - `views-pv-last30days`: Sort by page views in the last 30 days in descending order
    - `views-pv-last60days`: Sort by page views in the last 60 days in descending order
    - `view-desc`: Sort by page views in the last 90 days in descending order

  * `template_path`

    string

    The theme template of the collection.

  * `title`

    string

    The title of the collection.

  * `updated_at`

    string

    The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Create a smart collection"
  ],
  "description": "Create a new smart collection in the store.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| DATA_NOT_EXIST | 404 | The requested data does not exist. |\n| QUANTITY_EXCEEDS_LIMIT | 400 | The quantity exceeds the limit. |\n| INTERNAL_ERROR | 500 | An internal error occured. |\n| INVALID_PARAMETER | 400 | The provided parameter is invalid. |\n| SUCCESS | 200 | request success |\n"
  },
  "operationId": "0967Fdsv",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body position parameter",
          "type": "object",
          "properties": {
            "smart_collection": {
              "name": "smart_collection",
              "description": "Smart collection information.",
              "type": "object",
              "properties": {
                "banner": {
                  "name": "banner",
                  "description": "The cover image of the collection.",
                  "type": "object",
                  "properties": {
                    "alt": {
                      "name": "alt",
                      "description": "The alternative textual description of the collection banner, usually a word or phrase with the characteristics or content of the image.<br/>\nMaximum length: 512",
                      "type": "string",
                      "example": "This is an image alt"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique ID of an existing image. Omit this field if you add new image via `src`. <br/>\nMaximum length: 64",
                      "type": "string",
                      "example": "5759070976424132652"
                    },
                    "src": {
                      "name": "src",
                      "description": "The link to the image, represented as a URL.<br/>\nMaximum length: 255",
                      "type": "string",
                      "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  },
                  "example": {
                    "alt": "This is an image alt",
                    "id": "5759070976424132652",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  }
                },
                "body_html": {
                  "name": "body_html",
                  "description": "The collection description. <br/>\nMaximum size: 64 KB",
                  "type": "string",
                  "example": "This is a description"
                },
                "disjunctive": {
                  "name": "disjunctive",
                  "description": "Used to define the logical relationship of product filtering criteria in the smart collection.\n\n- `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. \n- `false`: A product must meet all of the filtering criteria to be included in the smart collection.\n\nDefault value: `true`",
                  "type": "boolean"
                },
                "handle": {
                  "name": "handle",
                  "description": "The semantically unique identifier for the collection,\nwhich is generated based on `title` by default.<br/>\nMaximum length: 255",
                  "type": "string",
                  "example": "collection-handle"
                },
                "image": {
                  "name": "image",
                  "description": "The image of the collection.",
                  "type": "object",
                  "properties": {
                    "alt": {
                      "name": "alt",
                      "description": "The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.<br/>\nMaximum length: 512",
                      "type": "string",
                      "example": "This is an image alt"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique ID of an existing image. Omit this field if you add new image via `src`. <br/>\nMaximum length: 64",
                      "type": "string",
                      "example": "5759070976424132652"
                    },
                    "src": {
                      "name": "src",
                      "description": "The link to the collection image, represented as a URL.<br/>\nMaximum length: 255",
                      "type": "string",
                      "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  },
                  "example": {
                    "alt": "This is an image alt",
                    "id": "5759070976424132652",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  }
                },
                "path": {
                  "name": "path",
                  "description": "The relative path of the collection page.<br/>\nMaximum length: 512",
                  "type": "string",
                  "example": "/collections/spring"
                },
                "published_scope": {
                  "name": "published_scope",
                  "description": "The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                  "type": "string"
                },
                "rules": {
                  "name": "rules",
                  "description": "Rules for filtering products in the smart collection.",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "column": {
                        "name": "column",
                        "description": "The field used for filtering.\n\n- `title`: Product title\n- `sale_price`: Product variant selling price\n- `compared_at_price`: Product variant original price\n- `tag`: Product tag\n- `inventory`: Product inventory\n- `vendor`: Brand or manufacturer\n- `variant_weight`: Product variant weight\n- `variant_title`: Product variant title\n- `created_at`: Product creation time\n- `sales_last_3_days`: Product sales volume in the last 3 days\n- `sales_last_7_days`: Product sales volume in the last 7 days\n- `sales_last_15_days`: Product sales volume in the last 15 days\n- `sales_last_30_days`: Product sales volume in the last 30 days\n- `sales_last_60_days`: Product sales volume in the last 60 days\n- `sales`: Product sales volume in the last 90 days\n- `view`: Product page views\n- `add_to_cart`: Product add-to-cart quantity\n- `type`: Custom product type\n- `product_taxonomy_node_id`: Standard product type\n- `product_taxonomy_node_id_with_descendants`：Standard product type with subcategories\n- `product_metafield_definition`: Value of product metafield",
                        "type": "string",
                        "example": "title"
                      },
                      "condition": {
                        "name": "condition",
                        "description": "The value to be matched, such as `T shirt` for the tag or `10.00` for the price.\n\nWhen `relation` is `is_not_set` or `is_set`, the field is invalid.",
                        "type": "string",
                        "example": "true"
                      },
                      "condition_object_id": {
                        "name": "condition_object_id",
                        "description": "The ID of the metafield object.",
                        "type": "long",
                        "example": 483749284
                      },
                      "relation": {
                        "name": "relation",
                        "description": "The relationship between the field and the value.\n\n- `equals`: Indicates equal to\n- `not_equals`: Indicates not equal to\n- `starts_with`: Indicates prefix matching\n- `ends_with`: Indicates suffix matching\n- `contains`: Indicates inclusion relationship\n- `not_contains`: Indicates non-inclusion relationship\n- `greater_than`: Indicates greater than\n- `less_than`: Indicates less than\n- `is_not_set`：Indicates all values are empty\n- `is_set`：Indicates values are not empty",
                        "type": "string",
                        "example": "equals"
                      }
                    },
                    "required": [
                      "column",
                      "relation"
                    ],
                    "example": {
                      "column": "title",
                      "condition": "true",
                      "condition_object_id": 483749284,
                      "relation": "equals"
                    }
                  },
                  "example": [
                    {}
                  ]
                },
                "sort_order": {
                  "name": "sort_order",
                  "description": "Indicates the sorting method of the default sort value for the product list on the collection page.\n\n- `alpha-asc`: Sort by product name from A to Z\n- `alpha-desc`: Sort by product name from Z to A\n- `updated-desc`: Sort by update time from newest to oldest\n- `updated-asc`: Sort by update time from oldest to newest\n- `manual`: Sort by custom order\n- `created-desc`: Sort by creation time from newest to oldest\n- `created-asc`: Sort by creation time from oldest to newest\n- `price-asc`: Sort by the lowest selling price of product variants in ascending order\n- `price-desc`: Sort by the lowest selling price of product variants in descending order\n- `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order\n- `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order\n- `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order\n- `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order\n- `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order\n- `best-selling`: Sort by sales volume in the last 90 days in descending order\n- `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order\n- `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order\n- `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order\n- `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order\n- `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order\n- `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order\n- `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order\n- `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order\n- `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order\n- `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order\n- `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order\n- `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order\n- `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order\n- `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order\n- `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order\n- `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order\n- `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order\n- `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order\n- `views-pv-last3days`: Sort by page views in the last 3 days in descending order\n- `views-pv-last7days`: Sort by page views in the last 7 days in descending order\n- `views-pv-last15days`: Sort by page views in the last 15 days in descending order\n- `views-pv-last30days`: Sort by page views in the last 30 days in descending order\n- `views-pv-last60days`: Sort by page views in the last 60 days in descending order\n- `view-desc`: Sort by page views in the last 90 days in descending order",
                  "type": "string"
                },
                "template_path": {
                  "name": "template_path",
                  "description": "The theme template of the collection.",
                  "type": "string",
                  "example": "templates/collection.collection_template_name.json"
                },
                "title": {
                  "name": "title",
                  "description": "The title of the collection.<br/>\nMaximum length: 255",
                  "type": "string",
                  "example": "This is a collection title"
                }
              },
              "required": [
                "rules",
                "title"
              ],
              "example": {
                "banner": {
                  "alt": "This is an image alt",
                  "id": "5759070976424132652",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "body_html": "This is a description",
                "disjunctive": null,
                "handle": "collection-handle",
                "image": {
                  "alt": "This is an image alt",
                  "id": "5759070976424132652",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "path": "/collections/spring",
                "published_scope": null,
                "rules": [
                  {}
                ],
                "sort_order": null,
                "template_path": "templates/collection.collection_template_name.json",
                "title": "This is a collection title"
              }
            }
          },
          "required": [
            "smart_collection"
          ],
          "example": {
            "smart_collection": {
              "banner": {
                "alt": "This is an image alt",
                "id": "5759070976424132652",
                "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
              },
              "body_html": "This is a description",
              "disjunctive": null,
              "handle": "collection-handle",
              "image": {
                "alt": "This is an image alt",
                "id": "5759070976424132652",
                "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
              },
              "path": "/collections/spring",
              "published_scope": null,
              "rules": [
                {}
              ],
              "sort_order": null,
              "template_path": "templates/collection.collection_template_name.json",
              "title": "This is a collection title"
            }
          }
        },
        "examples": {
          "Create a smart collection": {
            "description": "Create a smart collection.",
            "value": {
              "smart_collection": {
                "banner": {
                  "alt": "This is an image alt",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "body_html": "This is a description",
                "disjunctive": true,
                "handle": "spring-clothing",
                "image": {
                  "alt": "This is an image alt",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "path": "/collections/spring",
                "published_scope": "web",
                "rules": [
                  {
                    "column": "tag",
                    "condition": "tag1",
                    "relation": "equals"
                  }
                ],
                "sort_order": "updated-asc",
                "title": "spring clothing"
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "smart_collection": {
                "name": "smart_collection",
                "description": "Smart collection information.",
                "type": "object",
                "properties": {
                  "banner": {
                    "name": "banner",
                    "description": "The cover image of the collection.",
                    "type": "object",
                    "properties": {
                      "alt": {
                        "name": "alt",
                        "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                        "type": "string",
                        "example": "This is an image alt"
                      },
                      "id": {
                        "name": "id",
                        "description": "The unique identifier for the image.",
                        "type": "string",
                        "example": "5785060242207917075"
                      },
                      "src": {
                        "name": "src",
                        "description": "The link to the image, represented as a URL.",
                        "type": "string",
                        "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "example": {
                      "alt": "This is an image alt",
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  },
                  "body_html": {
                    "name": "body_html",
                    "description": "The collection description. ",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2021-09-03T14:11:54+00:00"
                  },
                  "disjunctive": {
                    "name": "disjunctive",
                    "description": "Used to define the logical relationship of product filtering criteria in the smart collection.\n\n- `true`: A product only needs to meet any one of the filtering criteria to be included in the smart collection. \n- `false`: A product must meet all of the filtering criteria to be included in the smart collection.",
                    "type": "boolean"
                  },
                  "handle": {
                    "name": "handle",
                    "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.",
                    "type": "string",
                    "example": "collection-handle"
                  },
                  "id": {
                    "name": "id",
                    "description": "The unique identifier for the collection.",
                    "type": "string",
                    "example": "12257170618007271602093384"
                  },
                  "image": {
                    "name": "image",
                    "description": "The collection image.",
                    "type": "object",
                    "properties": {
                      "alt": {
                        "name": "alt",
                        "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                        "type": "string",
                        "example": "This is an image alt"
                      },
                      "id": {
                        "name": "id",
                        "description": "The unique identifier for the image.",
                        "type": "string",
                        "example": "5785060242207917075"
                      },
                      "src": {
                        "name": "src",
                        "description": "The link to the image, represented as a URL.",
                        "type": "string",
                        "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "example": {
                      "alt": "This is an image alt",
                      "id": "5785060242207917075",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  },
                  "published_at": {
                    "name": "published_at",
                    "description": "The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2021-09-03T14:11:54+00:00"
                  },
                  "published_scope": {
                    "name": "published_scope",
                    "description": "The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                    "type": "string"
                  },
                  "rules": {
                    "name": "rules",
                    "description": "Rules for filtering products in the smart collection.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "column": {
                          "name": "column",
                          "description": "The field used for filtering.\n\n- `title`: Product title\n- `sale_price`: Product variant selling price\n- `compared_at_price`: Product variant original price\n- `tag`: Product tag\n- `inventory`: Product inventory\n- `vendor`: Brand or manufacturer\n- `variant_weight`: Product variant weight\n- `variant_title`: Product variant title\n- `created_at`: Product creation time\n- `sales_last_3_days`: Product sales volume in the last 3 days\n- `sales_last_7_days`: Product sales volume in the last 7 days\n- `sales_last_15_days`: Product sales volume in the last 15 days\n- `sales_last_30_days`: Product sales volume in the last 30 days\n- `sales_last_60_days`: Product sales volume in the last 60 days\n- `sales`: Product sales volume in the last 90 days\n- `view`: Product page views\n- `add_to_cart`: Product add-to-cart quantity\n- `type`: Custom product type\n- `product_taxonomy_node_id`: Standard product type\n- `product_taxonomy_node_id_with_descendants`：Standard product type with subcategories\n- `product_metafield_definition`: Value of product metafield",
                          "type": "string"
                        },
                        "condition": {
                          "name": "condition",
                          "description": "The value to be matched, such as `T shirt` for tags or `10.00` for price.\n\nWhen `relation` is `is_not_set` or `is_set`, the field is invalid.",
                          "type": "string",
                          "example": "true"
                        },
                        "condition_object_id": {
                          "name": "condition_object_id",
                          "description": "The ID of the metafield object.\n",
                          "type": "long",
                          "example": 483749284
                        },
                        "relation": {
                          "name": "relation",
                          "description": "The relationship between the field and the value.\n\n- `equals`: Indicates equal to\n- `not_equals`: Indicates not equal to\n- `starts_with`: Indicates prefix matching\n- `ends_with`: Indicates suffix matching\n- `contains`: Indicates inclusion relationship\n- `not_contains`: Indicates non-inclusion relationship\n- `greater_than`: Indicates greater than\n- `less_than`: Indicates less than\n- `is_not_set`：Indicates all values are empty\n- `is_set`：Indicates values are not empty",
                          "type": "string"
                        }
                      },
                      "example": {
                        "column": null,
                        "condition": "true",
                        "condition_object_id": 483749284,
                        "relation": null
                      }
                    }
                  },
                  "sort_order": {
                    "name": "sort_order",
                    "description": "Indicates the sorting method of the default sort value for the product list on the collection page.\n\n- `alpha-asc`: Sort by product name from A to Z\n- `alpha-desc`: Sort by product name from Z to A\n- `updated-desc`: Sort by update time from newest to oldest\n- `updated-asc`: Sort by update time from oldest to newest\n- `manual`: Sort by custom order\n- `created-desc`: Sort by creation time from newest to oldest\n- `created-asc`: Sort by creation time from oldest to newest\n- `price-asc`: Sort by the lowest selling price of product variants in ascending order\n- `price-desc`: Sort by the lowest selling price of product variants in descending order\n- `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order\n- `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order\n- `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order\n- `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order\n- `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order\n- `best-selling`: Sort by sales volume in the last 90 days in descending order\n- `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order\n- `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order\n- `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order\n- `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order\n- `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order\n- `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order\n- `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order\n- `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order\n- `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order\n- `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order\n- `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order\n- `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order\n- `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order\n- `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order\n- `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order\n- `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order\n- `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order\n- `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order\n- `views-pv-last3days`: Sort by page views in the last 3 days in descending order\n- `views-pv-last7days`: Sort by page views in the last 7 days in descending order\n- `views-pv-last15days`: Sort by page views in the last 15 days in descending order\n- `views-pv-last30days`: Sort by page views in the last 30 days in descending order\n- `views-pv-last60days`: Sort by page views in the last 60 days in descending order\n- `view-desc`: Sort by page views in the last 90 days in descending order",
                    "type": "string"
                  },
                  "template_path": {
                    "name": "template_path",
                    "description": "The theme template of the collection.",
                    "type": "string",
                    "example": "templates/collection.collection_template_name.json"
                  },
                  "title": {
                    "name": "title",
                    "description": "The title of the collection.",
                    "type": "string",
                    "example": "This is a title"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2021-09-03T14:11:54+00:00"
                  }
                },
                "example": {
                  "banner": {
                    "alt": "This is an image alt",
                    "id": "5785060242207917075",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "body_html": "This is a description",
                  "created_at": "2021-09-03T14:11:54+00:00",
                  "disjunctive": null,
                  "handle": "collection-handle",
                  "id": "12257170618007271602093384",
                  "image": {
                    "alt": "This is an image alt",
                    "id": "5785060242207917075",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "published_at": "2021-09-03T14:11:54+00:00",
                  "published_scope": null,
                  "rules": null,
                  "sort_order": null,
                  "template_path": "templates/collection.collection_template_name.json",
                  "title": "This is a title",
                  "updated_at": "2021-09-03T14:11:54+00:00"
                }
              }
            },
            "example": {
              "smart_collection": {
                "banner": {
                  "alt": "This is an image alt",
                  "id": "5785060242207917075",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "body_html": "This is a description",
                "created_at": "2021-09-03T14:11:54+00:00",
                "disjunctive": null,
                "handle": "collection-handle",
                "id": "12257170618007271602093384",
                "image": {
                  "alt": "This is an image alt",
                  "id": "5785060242207917075",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "published_at": "2021-09-03T14:11:54+00:00",
                "published_scope": null,
                "rules": null,
                "sort_order": null,
                "template_path": "templates/collection.collection_template_name.json",
                "title": "This is a title",
                "updated_at": "2021-09-03T14:11:54+00:00"
              }
            }
          },
          "examples": {
            "Create a smart collection": {
              "description": "Create a smart collection.",
              "value": {
                "smart_collection": {
                  "banner": {
                    "alt": "This is an image alt",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png?type=banner"
                  },
                  "body_html": "This is a description",
                  "created_at": "2026-01-21T11:37:42+08:00",
                  "disjunctive": true,
                  "handle": "spring-clothing-3",
                  "id": "12273591337512073128362340",
                  "image": {
                    "alt": "This is an image alt",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png?type=cover"
                  },
                  "published_at": "2026-01-21T11:37:42+08:00",
                  "published_scope": "web",
                  "rules": [
                    {
                      "column": "tag",
                      "condition": "tag1",
                      "condition_object_id": null,
                      "relation": "equals"
                    }
                  ],
                  "sort_order": "updated-asc",
                  "template_path": null,
                  "title": "spring clothing",
                  "updated_at": "2026-01-21T11:37:42+08:00"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/products/smart_collections.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Create a smart collection",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_products"
  ]
}
```